Package org.apache.any23.vocab

## Class HRecipe

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.HRecipe

-     public class HRecipe
      extends Vocabulary

  Vocabulary to map the hRecipe microformat.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `author` |
    `org.eclipse.rdf4j.model.IRI` | `duration` |
    `org.eclipse.rdf4j.model.IRI` | `Duration` |
    `org.eclipse.rdf4j.model.IRI` | `durationTime` |
    `org.eclipse.rdf4j.model.IRI` | `durationTitle` |
    `org.eclipse.rdf4j.model.IRI` | `fn` |
    `org.eclipse.rdf4j.model.IRI` | `ingredient` |
    `org.eclipse.rdf4j.model.IRI` | `Ingredient` |
    `org.eclipse.rdf4j.model.IRI` | `ingredientName` |
    `org.eclipse.rdf4j.model.IRI` | `ingredientQuantity` |
    `org.eclipse.rdf4j.model.IRI` | `ingredientQuantityType` |
    `org.eclipse.rdf4j.model.IRI` | `instructions` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `nutrition` |
    `org.eclipse.rdf4j.model.IRI` | `Nutrition` |
    `org.eclipse.rdf4j.model.IRI` | `nutritionValue` |
    `org.eclipse.rdf4j.model.IRI` | `nutritionValueType` |
    `org.eclipse.rdf4j.model.IRI` | `photo` |
    `org.eclipse.rdf4j.model.IRI` | `published` |
    `org.eclipse.rdf4j.model.IRI` | `Recipe` |
    `org.eclipse.rdf4j.model.IRI` | `summary` |
    `org.eclipse.rdf4j.model.IRI` | `tag` |
    `org.eclipse.rdf4j.model.IRI` | `yield` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HRecipe` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### Recipe

          public org.eclipse.rdf4j.model.IRI Recipe

    - #### Duration

          public org.eclipse.rdf4j.model.IRI Duration

    - #### Ingredient

          public org.eclipse.rdf4j.model.IRI Ingredient

    - #### Nutrition

          public org.eclipse.rdf4j.model.IRI Nutrition

    - #### fn

          public org.eclipse.rdf4j.model.IRI fn

    - #### duration

          public org.eclipse.rdf4j.model.IRI duration

    - #### durationTitle

          public org.eclipse.rdf4j.model.IRI durationTitle

    - #### durationTime

          public org.eclipse.rdf4j.model.IRI durationTime

    - #### photo

          public org.eclipse.rdf4j.model.IRI photo

    - #### summary

          public org.eclipse.rdf4j.model.IRI summary

    - #### author

          public org.eclipse.rdf4j.model.IRI author

    - #### published

          public org.eclipse.rdf4j.model.IRI published

    - #### nutrition

          public org.eclipse.rdf4j.model.IRI nutrition

    - #### nutritionValue

          public org.eclipse.rdf4j.model.IRI nutritionValue

    - #### nutritionValueType

          public org.eclipse.rdf4j.model.IRI nutritionValueType

    - #### tag

          public org.eclipse.rdf4j.model.IRI tag

    - #### ingredient

          public org.eclipse.rdf4j.model.IRI ingredient

    - #### ingredientName

          public org.eclipse.rdf4j.model.IRI ingredientName

    - #### ingredientQuantity

          public org.eclipse.rdf4j.model.IRI ingredientQuantity

    - #### ingredientQuantityType

          public org.eclipse.rdf4j.model.IRI ingredientQuantityType

    - #### instructions

          public org.eclipse.rdf4j.model.IRI instructions

    - #### yield

          public org.eclipse.rdf4j.model.IRI yield

  - ### Method Detail

    - #### getInstance

          public static HRecipe getInstance()